$(document).ready(function () {
  if (navigator.userAgent.search(/Edge/) > 0) {
    $('html').addClass('edge');
  }

  if (navigator.userAgent.search(/MSIE/) > 0 || navigator.userAgent.search(/NET CLR /) > 0) {
    $('html').addClass('ie');
  }

  if (/^((?!chrome|android).)*safari/i.test(navigator.userAgent)) {
    $('html').addClass('safari');
  }

  function addClass(className, element) {
    var cn = element.className;
    if (cn.indexOf(className) !== -1) return;
    if (cn !== '') className = ' ' + className;
    element.className = cn + className;
  }

  function removeClass(className, element) {
    var cn = element.className;
    var regexPattern = new RegExp('\\s?\\b' + className + '\\b', 'g');

    if (cn !== undefined) {
      cn = cn.replace(regexPattern, '');
      element.className = cn;
    }
  }

  if ($('.articles').length > 0) {
    $('.articles').owlCarousel({
      responsiveClass: true,
      navText: ["<div class=\"owl-btn\">\n            <svg width=\"97\" height=\"97\" viewBox=\"0 0 97 97\" fill=\"none\" xmlns=\"http://www.w3.org/2000/svg\">\n              <g filter=\"url(#filter0_d)\">\n              <circle cx=\"48.5\" cy=\"44.5\" r=\"33.5\" transform=\"rotate(180 48.5 44.5)\" fill=\"white\"/>\n              </g>\n              <path d=\"M54.067 33C54.3159 33 54.5335 33.0891 54.7201 33.2674C55.0933 33.624 55.0933 34.1886 54.7201 34.5155L44.2393 44.5L54.7201 54.4845C55.0933 54.8411 55.0933 55.4057 54.7201 55.7326C54.3469 56.0891 53.756 56.0891 53.4139 55.7326L42.2799 45.124C42.0933 44.9457 42 44.7377 42 44.5C42 44.2623 42.0933 44.0246 42.2799 43.876L53.4139 33.2674C53.6005 33.0891 53.8182 33 54.067 33Z\" fill=\"#20384E\"/>\n              <defs>\n              <filter id=\"filter0_d\" x=\"0\" y=\"0\" width=\"97\" height=\"97\" filterUnits=\"userSpaceOnUse\" color-interpolation-filters=\"sRGB\">\n              <feFlood flood-opacity=\"0\" result=\"BackgroundImageFix\"/>\n              <feColorMatrix in=\"SourceAlpha\" type=\"matrix\" values=\"0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 127 0\"/>\n              <feOffset dy=\"4\"/>\n              <feGaussianBlur stdDeviation=\"7.5\"/>\n              <feColorMatrix type=\"matrix\" values=\"0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0.05 0\"/>\n              <feBlend mode=\"normal\" in2=\"BackgroundImageFix\" result=\"effect1_dropShadow\"/>\n              <feBlend mode=\"normal\" in=\"SourceGraphic\" in2=\"effect1_dropShadow\" result=\"shape\"/>\n              </filter>\n              </defs>\n              </svg>\n        </div>", "<div class=\"owl-btn\">\n          <svg width=\"97\" height=\"97\" viewBox=\"0 0 97 97\" fill=\"none\" xmlns=\"http://www.w3.org/2000/svg\">\n              <g filter=\"url(#filter0_d)\">\n              <circle cx=\"48.5\" cy=\"44.5\" r=\"33.5\" fill=\"white\"/>\n              </g>\n              <path d=\"M42.933 56C42.6841 56 42.4664 55.9109 42.2799 55.7326C41.9067 55.376 41.9067 54.8114 42.2799 54.4845L52.7607 44.5L42.2799 34.5155C41.9067 34.1589 41.9067 33.5943 42.2799 33.2674C42.6531 32.9109 43.244 32.9109 43.5861 33.2674L54.7201 43.876C54.9067 44.0543 55 44.2623 55 44.5C55 44.7377 54.9067 44.9754 54.7201 45.124L43.5861 55.7326C43.3995 55.9109 43.1818 56 42.933 56Z\" fill=\"#20384E\"/>\n              <defs>\n              <filter id=\"filter0_d\" x=\"0\" y=\"0\" width=\"97\" height=\"97\" filterUnits=\"userSpaceOnUse\" color-interpolation-filters=\"sRGB\">\n              <feFlood flood-opacity=\"0\" result=\"BackgroundImageFix\"/>\n              <feColorMatrix in=\"SourceAlpha\" type=\"matrix\" values=\"0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 127 0\"/>\n              <feOffset dy=\"4\"/>\n              <feGaussianBlur stdDeviation=\"7.5\"/>\n              <feColorMatrix type=\"matrix\" values=\"0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0.05 0\"/>\n              <feBlend mode=\"normal\" in2=\"BackgroundImageFix\" result=\"effect1_dropShadow\"/>\n              <feBlend mode=\"normal\" in=\"SourceGraphic\" in2=\"effect1_dropShadow\" result=\"shape\"/>\n              </filter>\n              </defs>\n          </svg>\n        </div>"],
      nav: true,
      responsive: {
        0: {
          items: 2,
          margin: 20,
          loop: false,
          autoWidth: true
        },
        750: {
          items: 3,
          margin: 30,
          loop: false,
          autoWidth: true
        },
        1300: {
          items: 4,
          margin: 40,
          loop: false
        },
        1450: {
          items: 4,
          margin: 40,
          loop: false
        }
      }
    });
  }

  if ($('.video').length > 0) {
    var loop = true;

    if ($('.video-item').length < 4 && window.matchMedia("(min-width: 751px)").matches || $('.video-item').length < 2 && window.matchMedia("(max-width: 750px)").matches) {
      loop = false;
    }

    $('.video').owlCarousel({
      responsiveClass: true,
      navText: ["<div class=\"owl-btn\">\n          <svg width=\"97\" height=\"97\" viewBox=\"0 0 97 97\" fill=\"none\" xmlns=\"http://www.w3.org/2000/svg\">\n              <g filter=\"url(#filter0_d)\">\n              <circle cx=\"48.5\" cy=\"44.5\" r=\"33.5\" fill=\"white\"/>\n              </g>\n              <path d=\"M42.933 56C42.6841 56 42.4664 55.9109 42.2799 55.7326C41.9067 55.376 41.9067 54.8114 42.2799 54.4845L52.7607 44.5L42.2799 34.5155C41.9067 34.1589 41.9067 33.5943 42.2799 33.2674C42.6531 32.9109 43.244 32.9109 43.5861 33.2674L54.7201 43.876C54.9067 44.0543 55 44.2623 55 44.5C55 44.7377 54.9067 44.9754 54.7201 45.124L43.5861 55.7326C43.3995 55.9109 43.1818 56 42.933 56Z\" fill=\"#20384E\"/>\n              <defs>\n              <filter id=\"filter0_d\" x=\"0\" y=\"0\" width=\"97\" height=\"97\" filterUnits=\"userSpaceOnUse\" color-interpolation-filters=\"sRGB\">\n              <feFlood flood-opacity=\"0\" result=\"BackgroundImageFix\"/>\n              <feColorMatrix in=\"SourceAlpha\" type=\"matrix\" values=\"0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 127 0\"/>\n              <feOffset dy=\"4\"/>\n              <feGaussianBlur stdDeviation=\"7.5\"/>\n              <feColorMatrix type=\"matrix\" values=\"0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0.05 0\"/>\n              <feBlend mode=\"normal\" in2=\"BackgroundImageFix\" result=\"effect1_dropShadow\"/>\n              <feBlend mode=\"normal\" in=\"SourceGraphic\" in2=\"effect1_dropShadow\" result=\"shape\"/>\n              </filter>\n              </defs>\n          </svg>\n        </div>", "<div class=\"owl-btn\">\n            <svg width=\"97\" height=\"97\" viewBox=\"0 0 97 97\" fill=\"none\" xmlns=\"http://www.w3.org/2000/svg\">\n              <g filter=\"url(#filter0_d)\">\n              <circle cx=\"48.5\" cy=\"44.5\" r=\"33.5\" transform=\"rotate(180 48.5 44.5)\" fill=\"white\"/>\n              </g>\n              <path d=\"M54.067 33C54.3159 33 54.5335 33.0891 54.7201 33.2674C55.0933 33.624 55.0933 34.1886 54.7201 34.5155L44.2393 44.5L54.7201 54.4845C55.0933 54.8411 55.0933 55.4057 54.7201 55.7326C54.3469 56.0891 53.756 56.0891 53.4139 55.7326L42.2799 45.124C42.0933 44.9457 42 44.7377 42 44.5C42 44.2623 42.0933 44.0246 42.2799 43.876L53.4139 33.2674C53.6005 33.0891 53.8182 33 54.067 33Z\" fill=\"#20384E\"/>\n              <defs>\n              <filter id=\"filter0_d\" x=\"0\" y=\"0\" width=\"97\" height=\"97\" filterUnits=\"userSpaceOnUse\" color-interpolation-filters=\"sRGB\">\n              <feFlood flood-opacity=\"0\" result=\"BackgroundImageFix\"/>\n              <feColorMatrix in=\"SourceAlpha\" type=\"matrix\" values=\"0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 127 0\"/>\n              <feOffset dy=\"4\"/>\n              <feGaussianBlur stdDeviation=\"7.5\"/>\n              <feColorMatrix type=\"matrix\" values=\"0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0.05 0\"/>\n              <feBlend mode=\"normal\" in2=\"BackgroundImageFix\" result=\"effect1_dropShadow\"/>\n              <feBlend mode=\"normal\" in=\"SourceGraphic\" in2=\"effect1_dropShadow\" result=\"shape\"/>\n              </filter>\n              </defs>\n              </svg>\n        </div>"],
      nav: true,
      responsive: {
        0: {
          items: 1,
          margin: 0,
          loop: loop,
          autoWidth: true
        },
        750: {
          items: 1,
          margin: 0,
          loop: loop,
          autoWidth: true
        },
        1300: {
          items: 1,
          margin: 0,
          loop: loop
        },
        1450: {
          items: 1,
          margin: 0,
          loop: loop
        }
      }
    });
  }

if ($('.invisible-new-test-items').length > 0) {
    $('.invisible-new-test-items').owlCarousel({
      nav: false,
      loop: false,
      autoWidth: true,
      margin: 10,
      items: 1
    });
  }

  if ($('.invisible-btns').length > 0) {
    if (window.matchMedia("(max-width: 760px)").matches) { } else {
      $('.invisible-btns').owlCarousel({
        nav: false,
        loop: false,
        dots: false,
        margin: 15,
        items: 1,
        responsive: {
          0: {
            autoWidth: true,
            margin: 10
          },
          750: {
            autoWidth: true,
            margin: 15
          }
        }
      });
    }
  }

  if ($('.head-scroll').length > 0) {
    var owl = $('.head-scroll').owlCarousel({
      responsiveClass: true,
      navText: ["<div class=\"owl-btn\">\n          <svg width=\"97\" height=\"97\" viewBox=\"0 0 97 97\" fill=\"none\" xmlns=\"http://www.w3.org/2000/svg\">\n              <g filter=\"url(#filter0_d)\">\n              <circle cx=\"48.5\" cy=\"44.5\" r=\"33.5\" fill=\"white\"/>\n              </g>\n              <path d=\"M42.933 56C42.6841 56 42.4664 55.9109 42.2799 55.7326C41.9067 55.376 41.9067 54.8114 42.2799 54.4845L52.7607 44.5L42.2799 34.5155C41.9067 34.1589 41.9067 33.5943 42.2799 33.2674C42.6531 32.9109 43.244 32.9109 43.5861 33.2674L54.7201 43.876C54.9067 44.0543 55 44.2623 55 44.5C55 44.7377 54.9067 44.9754 54.7201 45.124L43.5861 55.7326C43.3995 55.9109 43.1818 56 42.933 56Z\" fill=\"#20384E\"/>\n              <defs>\n              <filter id=\"filter0_d\" x=\"0\" y=\"0\" width=\"97\" height=\"97\" filterUnits=\"userSpaceOnUse\" color-interpolation-filters=\"sRGB\">\n              <feFlood flood-opacity=\"0\" result=\"BackgroundImageFix\"/>\n              <feColorMatrix in=\"SourceAlpha\" type=\"matrix\" values=\"0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 127 0\"/>\n              <feOffset dy=\"4\"/>\n              <feGaussianBlur stdDeviation=\"7.5\"/>\n              <feColorMatrix type=\"matrix\" values=\"0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0.05 0\"/>\n              <feBlend mode=\"normal\" in2=\"BackgroundImageFix\" result=\"effect1_dropShadow\"/>\n              <feBlend mode=\"normal\" in=\"SourceGraphic\" in2=\"effect1_dropShadow\" result=\"shape\"/>\n              </filter>\n              </defs>\n          </svg>\n        </div>", "<div class=\"owl-btn\">\n            <svg width=\"97\" height=\"97\" viewBox=\"0 0 97 97\" fill=\"none\" xmlns=\"http://www.w3.org/2000/svg\">\n              <g filter=\"url(#filter0_d)\">\n              <circle cx=\"48.5\" cy=\"44.5\" r=\"33.5\" transform=\"rotate(180 48.5 44.5)\" fill=\"white\"/>\n              </g>\n              <path d=\"M54.067 33C54.3159 33 54.5335 33.0891 54.7201 33.2674C55.0933 33.624 55.0933 34.1886 54.7201 34.5155L44.2393 44.5L54.7201 54.4845C55.0933 54.8411 55.0933 55.4057 54.7201 55.7326C54.3469 56.0891 53.756 56.0891 53.4139 55.7326L42.2799 45.124C42.0933 44.9457 42 44.7377 42 44.5C42 44.2623 42.0933 44.0246 42.2799 43.876L53.4139 33.2674C53.6005 33.0891 53.8182 33 54.067 33Z\" fill=\"#20384E\"/>\n              <defs>\n              <filter id=\"filter0_d\" x=\"0\" y=\"0\" width=\"97\" height=\"97\" filterUnits=\"userSpaceOnUse\" color-interpolation-filters=\"sRGB\">\n              <feFlood flood-opacity=\"0\" result=\"BackgroundImageFix\"/>\n              <feColorMatrix in=\"SourceAlpha\" type=\"matrix\" values=\"0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 127 0\"/>\n              <feOffset dy=\"4\"/>\n              <feGaussianBlur stdDeviation=\"7.5\"/>\n              <feColorMatrix type=\"matrix\" values=\"0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0.05 0\"/>\n              <feBlend mode=\"normal\" in2=\"BackgroundImageFix\" result=\"effect1_dropShadow\"/>\n              <feBlend mode=\"normal\" in=\"SourceGraphic\" in2=\"effect1_dropShadow\" result=\"shape\"/>\n              </filter>\n              </defs>\n              </svg>\n        </div>"],
      nav: true,
      touchDrag: false,
      mouseDrag: false,
      responsive: {
        0: {
          items: 1,
          margin: 0,
          loop: true,
          autoplay: true,
          autoplayTimeout: 3000
        },
        750: {
          items: 1,
          margin: 0,
          loop: true,
          autoplay: true,
          autoplayTimeout: 8000
        },
        1300: {
          items: 1,
          margin: 0,
          loop: true,
          autoplay: true,
          autoplayTimeout: 8000
        },
        1450: {
          items: 1,
          margin: 0,
          loop: true,
          autoplay: true,
          autoplayTimeout: 3000
        }
      }
    });
    owl.on('changed.owl.carousel', function (event) {
      $('.head-main').addClass('end-start-anim');
      $('.head-scroll .owl-item').each(function (k, item) {
        var ths = $(this);
        var count = $('.head-scroll .owl-item:not(.cloned)').length;

        if (count === 3) {
          $('.head-scroll .owl-item').addClass('anim-all-2');
        }

        if (count === 2) {
          $('.head-scroll .owl-item').addClass('anim-all-1');
        }

        if (event.item.index === k) {
          $('.bg-slider-circle').addClass('change-color');
          setTimeout(function () {
            $('.bg-slider-circle').css('background', ths.find('[data-num]').attr('data-color'));
            $('.bg-slider-circle').removeClass('change-color');
          }, 600);

          $('.slider-text-hide div').removeClass('active');
          $('.slider-text-hide').find('[data-text-id="' + Number(ths.find('[data-num]').attr('data-num')) + '"]').addClass('active');

          if (Number(ths.find('[data-num]').attr('data-num')) !== 1) {
            addClass('anim-close', $('.head-scroll .owl-item').eq(event.item.index - 1)[0]);
            setTimeout(function () {
              removeClass('anim-close', $('.head-scroll .owl-item').eq(event.item.index - 1)[0]);
            }, 2000);
          } else {
            addClass('anim-close', $('.head-scroll .owl-item:not(.cloned)').eq(count - 1)[0]);
            setTimeout(function () {
              removeClass('anim-close', $('.head-scroll .owl-item:not(.cloned)').eq(count - 1)[0]);
            }, 2000);
          }

          $('.head-scroll .owl-item').removeClass('anim-3');
          $('.head-scroll .owl-item').removeClass('anim-2');
          $('.head-scroll .owl-item').removeClass('anim-1');
          ths.addClass('anim-1');

          if (Number(ths.find('[data-num]').attr('data-num')) === 1) {
            if (count > 2) {
              addClass('anim-2', $('.head-scroll .owl-item').eq(event.item.index + 1)[0]);
              addClass('anim-3', $('.head-scroll .owl-item').eq(event.item.index + 2)[0]);
            } else {
              if (count > 1) {
                addClass('anim-2', $('.head-scroll .owl-item:not(.cloned)').eq(1)[0]);
              }
            }
          } else if (count > 2) {
            if (Number(ths.find('[data-num]').attr('data-num')) <= count - 2) {
              addClass('anim-2', $('.head-scroll .owl-item').eq(event.item.index + 1)[0]);
              addClass('anim-3', $('.head-scroll .owl-item').eq(event.item.index + 2)[0]);
            } else if (Number(ths.find('[data-num]').attr('data-num')) === count - 1) {
              addClass('anim-2', $('.head-scroll .owl-item').eq(event.item.index + 1)[0]);
              addClass('anim-3', $('.head-scroll .owl-item:not(.cloned)').eq(0)[0]);
            } else if (Number(ths.find('[data-num]').attr('data-num')) === count) {
              addClass('anim-2', $('.head-scroll .owl-item:not(.cloned)').eq(0)[0]);
              addClass('anim-3', $('.head-scroll .owl-item:not(.cloned)').eq(1)[0]);
            }
          } else if (count > 1) {
            addClass('anim-2', $('.head-scroll .owl-item:not(.cloned)').eq(0)[0]);
          }
        }
      });
    });
  }

  if ($('.prods-line').length > 0) {
    var carouselInitialized = function carouselInitialized(event) {
      $('.owl-item:not(.cloned) .products').eq(0).addClass('active');
      $('.owl-item:not(.cloned) .products').eq(0).trigger('click');
    };

    var owl2 = $('.prods-line').owlCarousel({
      responsiveClass: true,
      navText: ["<div class=\"owl-btn\">\n          \n          <svg width=\"97\" height=\"97\" viewBox=\"0 0 97 97\" fill=\"none\" xmlns=\"http://www.w3.org/2000/svg\">\n              <g filter=\"url(#filter0_d)\">\n              <circle cx=\"48.5\" cy=\"44.5\" r=\"33.5\" transform=\"rotate(180 48.5 44.5)\" fill=\"white\"/>\n              </g>\n              <path d=\"M54.067 33C54.3159 33 54.5335 33.0891 54.7201 33.2674C55.0933 33.624 55.0933 34.1886 54.7201 34.5155L44.2393 44.5L54.7201 54.4845C55.0933 54.8411 55.0933 55.4057 54.7201 55.7326C54.3469 56.0891 53.756 56.0891 53.4139 55.7326L42.2799 45.124C42.0933 44.9457 42 44.7377 42 44.5C42 44.2623 42.0933 44.0246 42.2799 43.876L53.4139 33.2674C53.6005 33.0891 53.8182 33 54.067 33Z\" fill=\"#20384E\"/>\n              <defs>\n              <filter id=\"filter0_d\" x=\"0\" y=\"0\" width=\"97\" height=\"97\" filterUnits=\"userSpaceOnUse\" color-interpolation-filters=\"sRGB\">\n              <feFlood flood-opacity=\"0\" result=\"BackgroundImageFix\"/>\n              <feColorMatrix in=\"SourceAlpha\" type=\"matrix\" values=\"0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 127 0\"/>\n              <feOffset dy=\"4\"/>\n              <feGaussianBlur stdDeviation=\"7.5\"/>\n              <feColorMatrix type=\"matrix\" values=\"0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0.05 0\"/>\n              <feBlend mode=\"normal\" in2=\"BackgroundImageFix\" result=\"effect1_dropShadow\"/>\n              <feBlend mode=\"normal\" in=\"SourceGraphic\" in2=\"effect1_dropShadow\" result=\"shape\"/>\n              </filter>\n              </defs>\n              </svg>\n        </div>", "<div class=\"owl-btn\">\n            <svg width=\"97\" height=\"97\" viewBox=\"0 0 97 97\" fill=\"none\" xmlns=\"http://www.w3.org/2000/svg\">\n              <g filter=\"url(#filter0_d)\">\n              <circle cx=\"48.5\" cy=\"44.5\" r=\"33.5\" fill=\"white\"/>\n              </g>\n              <path d=\"M42.933 56C42.6841 56 42.4664 55.9109 42.2799 55.7326C41.9067 55.376 41.9067 54.8114 42.2799 54.4845L52.7607 44.5L42.2799 34.5155C41.9067 34.1589 41.9067 33.5943 42.2799 33.2674C42.6531 32.9109 43.244 32.9109 43.5861 33.2674L54.7201 43.876C54.9067 44.0543 55 44.2623 55 44.5C55 44.7377 54.9067 44.9754 54.7201 45.124L43.5861 55.7326C43.3995 55.9109 43.1818 56 42.933 56Z\" fill=\"#20384E\"/>\n              <defs>\n              <filter id=\"filter0_d\" x=\"0\" y=\"0\" width=\"97\" height=\"97\" filterUnits=\"userSpaceOnUse\" color-interpolation-filters=\"sRGB\">\n              <feFlood flood-opacity=\"0\" result=\"BackgroundImageFix\"/>\n              <feColorMatrix in=\"SourceAlpha\" type=\"matrix\" values=\"0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 127 0\"/>\n              <feOffset dy=\"4\"/>\n              <feGaussianBlur stdDeviation=\"7.5\"/>\n              <feColorMatrix type=\"matrix\" values=\"0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0.05 0\"/>\n              <feBlend mode=\"normal\" in2=\"BackgroundImageFix\" result=\"effect1_dropShadow\"/>\n              <feBlend mode=\"normal\" in=\"SourceGraphic\" in2=\"effect1_dropShadow\" result=\"shape\"/>\n              </filter>\n              </defs>\n          </svg>\n        </div>"],
      nav: true,
      onInitialized: carouselInitialized,
      responsive: {
        0: {
          items: 5,
          margin: 15,
          loop: true,
          autoWidth: true
        },
        750: {
          items: 5,
          margin: 20,
          loop: true,
          autoWidth: true,
          nav: false
        },
        1300: {
          items: 5,
          margin: 20,
          loop: true,
          nav: true,
          autoWidth: true
        },
        1450: {
          items: 5,
          margin: 20,
          loop: false,
          mouseDrag: false,
          autoWidth: true
        }
      }
    });
  }

  if ($('.choose-sept').length > 0) {
    $('.choose-sept').owlCarousel({
      responsiveClass: true,
      navText: ["<div class=\"owl-btn\">\n          <svg width=\"97\" height=\"97\" viewBox=\"0 0 97 97\" fill=\"none\" xmlns=\"http://www.w3.org/2000/svg\">\n              <g filter=\"url(#filter0_d)\">\n              <circle cx=\"48.5\" cy=\"44.5\" r=\"33.5\" fill=\"white\"/>\n              </g>\n              <path d=\"M42.933 56C42.6841 56 42.4664 55.9109 42.2799 55.7326C41.9067 55.376 41.9067 54.8114 42.2799 54.4845L52.7607 44.5L42.2799 34.5155C41.9067 34.1589 41.9067 33.5943 42.2799 33.2674C42.6531 32.9109 43.244 32.9109 43.5861 33.2674L54.7201 43.876C54.9067 44.0543 55 44.2623 55 44.5C55 44.7377 54.9067 44.9754 54.7201 45.124L43.5861 55.7326C43.3995 55.9109 43.1818 56 42.933 56Z\" fill=\"#20384E\"/>\n              <defs>\n              <filter id=\"filter0_d\" x=\"0\" y=\"0\" width=\"97\" height=\"97\" filterUnits=\"userSpaceOnUse\" color-interpolation-filters=\"sRGB\">\n              <feFlood flood-opacity=\"0\" result=\"BackgroundImageFix\"/>\n              <feColorMatrix in=\"SourceAlpha\" type=\"matrix\" values=\"0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 127 0\"/>\n              <feOffset dy=\"4\"/>\n              <feGaussianBlur stdDeviation=\"7.5\"/>\n              <feColorMatrix type=\"matrix\" values=\"0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0.05 0\"/>\n              <feBlend mode=\"normal\" in2=\"BackgroundImageFix\" result=\"effect1_dropShadow\"/>\n              <feBlend mode=\"normal\" in=\"SourceGraphic\" in2=\"effect1_dropShadow\" result=\"shape\"/>\n              </filter>\n              </defs>\n          </svg>\n        </div>", "<div class=\"owl-btn\">\n            <svg width=\"97\" height=\"97\" viewBox=\"0 0 97 97\" fill=\"none\" xmlns=\"http://www.w3.org/2000/svg\">\n              <g filter=\"url(#filter0_d)\">\n              <circle cx=\"48.5\" cy=\"44.5\" r=\"33.5\" transform=\"rotate(180 48.5 44.5)\" fill=\"white\"/>\n              </g>\n              <path d=\"M54.067 33C54.3159 33 54.5335 33.0891 54.7201 33.2674C55.0933 33.624 55.0933 34.1886 54.7201 34.5155L44.2393 44.5L54.7201 54.4845C55.0933 54.8411 55.0933 55.4057 54.7201 55.7326C54.3469 56.0891 53.756 56.0891 53.4139 55.7326L42.2799 45.124C42.0933 44.9457 42 44.7377 42 44.5C42 44.2623 42.0933 44.0246 42.2799 43.876L53.4139 33.2674C53.6005 33.0891 53.8182 33 54.067 33Z\" fill=\"#20384E\"/>\n              <defs>\n              <filter id=\"filter0_d\" x=\"0\" y=\"0\" width=\"97\" height=\"97\" filterUnits=\"userSpaceOnUse\" color-interpolation-filters=\"sRGB\">\n              <feFlood flood-opacity=\"0\" result=\"BackgroundImageFix\"/>\n              <feColorMatrix in=\"SourceAlpha\" type=\"matrix\" values=\"0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 127 0\"/>\n              <feOffset dy=\"4\"/>\n              <feGaussianBlur stdDeviation=\"7.5\"/>\n              <feColorMatrix type=\"matrix\" values=\"0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0.05 0\"/>\n              <feBlend mode=\"normal\" in2=\"BackgroundImageFix\" result=\"effect1_dropShadow\"/>\n              <feBlend mode=\"normal\" in=\"SourceGraphic\" in2=\"effect1_dropShadow\" result=\"shape\"/>\n              </filter>\n              </defs>\n              </svg>\n        </div>"],
      nav: true,
      responsive: {
        0: {
          items: 1,
          margin: 0,
          loop: true
        },
        750: {
          items: 1,
          margin: 75,
          loop: true
        },
        1261: {
          items: 3,
          margin: 43,
          loop: true
        },
        1450: {
          items: 4,
          margin: 33,
          loop: false
        }
      }
    });
  }

  if ($('html').scrollTop()) {
    $('header').addClass('header-scroll');
  }

  var a = 0;
  var st = $(window).scrollTop();
  var window_height = document.documentElement.clientHeight;
  var window_height_over = document.documentElement.clientHeight / 5;

  if (window.matchMedia("(min-width: 1260px)").matches) {
    $('.anons-elem').each(function () {
      var ths = $(this);
      var a = ths.offset().top - window_height / 1.3;
      var b = ths.offset().top - window_height;

      if (a < st) {
        ths.addClass('show_anons');
      }

      if (b >= st) {
        ths.removeClass('show_anons');
      }
    });
  }

  $(window).scroll(function () {
    var st = $(this).scrollTop();
    var window_height = document.documentElement.clientHeight;
    var window_height_over = document.documentElement.clientHeight / 5;

    if (window.matchMedia("(min-width: 1260px)").matches) {
      $('.anons-elem').each(function () {
        var ths = $(this);
        var a = ths.offset().top - window_height / 1.3;
        var b = ths.offset().top - window_height;

        if (a < st) {
          ths.addClass('show_anons');
        }

        if (b >= st) {
          ths.removeClass('show_anons');
        }
      });
    }

    if (window.matchMedia("(min-width: 1260px)").matches) {
      if (st > 0) {
        $('header').addClass('header-scroll');
      } else {
        $('header').removeClass('header-scroll');
      }
    }

    if (window.matchMedia("(min-width: 1260px)").matches) {
      var line = 'bot';

      if (st < a) {
        line = 'top';
      }

      if (line == 'top') {
        $('header').removeClass('header-scroll-top');
      } else if (st > 0) {
        $('header').addClass('header-scroll-top');
      }

      a = st;
    }
    if (st > 1000) {
      $('.bnt-top').addClass('show');
    } else {
      $('.bnt-top').removeClass('show');
    }

  });
  $(window).on('load', function () {
    var st = $('html').scrollTop();

    if (st != 0) {
      $('.anons-elem').addClass('show_anons');
      $('html').scrollTop(st);
    } else {
      $('.anons-elem').addClass('show_anons');
      $('html').scrollTop(0);
    }
  }); // $(document).on("click",".ankers a", function (event) {
  //     event.preventDefault();
  //     var id  = $(this).attr('href'),
  //             //узнаем высоту от начала страницы до блока на который ссылается якорь
  //         top = $(id).offset().top;
  //
  //         top = top-140;
  //
  //     //анимируем переход на расстояние - top за 1500 мс
  //     $('body,html').animate({scrollTop: top}, 1500);
  // });

  $(".menu_button_mobile").click(function (event) {
    event.preventDefault();

    if ($('.menu-mobile').hasClass('fade')) {
      $(".menu_button_mobile").attr("src", object_address_img.menu_768);
      $('.menu-mobile').removeClass('fade');
      $('header').removeClass('menu-header');
      $('html').removeClass('block-scroll');
    } else {
      $(".menu_button_mobile").attr("src", object_address_img.closemenu768);
      $('.menu-mobile').addClass('fade');
      $('header').addClass('menu-header');
      $('html').addClass('block-scroll');
    }
  });
  $(document).ready(function () {
    var a = $(".other-menu li div").closest('li').find('.menu-head');
    var b = $(".other-menu li div").closest('li');
    var c = b.find('svg');
    b.addClass('close');
    c.removeClass('path');
    c.addClass('close_path');

    if (window.matchMedia("(min-width: 768px)").matches) {
      a.addClass('close');
    } else {
      a.slideUp();
    }
  });
  $(".other-menu li div").on("click", function (event) {
    var thx = $(this); // event.preventDefault();

    var a = thx.closest('li').find('.menu-head').find('li');
    var aa = thx.closest('li').find('.menu-head');
    var b = thx.closest('li');
    var c = b.find('svg');

    if (window.matchMedia("(min-width: 768px)").matches) {
      if (b.hasClass('close')) {
        a.addClass('open-list');
        b.removeClass('close');
        c.removeClass('close_path');
        c.addClass('path');
      } else {
        a.removeClass('open-list');
        b.addClass('close');
        c.removeClass('path');
        c.addClass('close_path');
      }
    } else {
      if (b.hasClass('close')) {
        aa.slideDown();
        b.removeClass('close');
        c.removeClass('close_path');
        c.addClass('path');
      } else {
        aa.slideUp();
        b.addClass('close');
        c.removeClass('path');
        c.addClass('close_path');
      }
    }
  });
  $(function () {
    $('.dropdown-link').click(function () {
      var link = $(this).text();
      $('.btn-text span').text(link);
    });
  });

  if ($('.women-block').length > 0) {
    var height_screen = document.documentElement.clientHeight;
    var main_height = $('.main-main').height();
    var women_height = $('.women-block').height();
    var story_height = $('.story').height();
    var tr_g = height_screen - story_height;
    var block_height = $('.head-head').height() - tr_g;
    $(window).resize(function () {
      main_height = $('.main-main').height();
      women_height = $('.women-block').height();
      story_height = $('.story').height();
      tr_g = height_screen - story_height;
      block_height = $('.head-head').height() - tr_g;

      if ($('html').hasClass('ie')) {
        tr_g2 = height_screen - women_height;
        var x = main_height - women_height + story_height;
        var y = main_height - women_height + story_height;
      }
    });
    $('.women-block').css({
      'top': height_screen - women_height
    });

    if ($('html').hasClass('ie')) {
      var tr_g2 = height_screen - women_height;
      var x = main_height - women_height + story_height;
      var y = main_height - women_height + story_height;
      $(window).scroll(function () {
        var st = $(this).scrollTop();

        if (st < block_height) {
          $('.women-block').css({
            'top': 0
          });
          $('.block-fix .head-head, .block-fix .story').css({
            'top': '0px'
          });
          $('.women-block').removeClass('block-fix');
          $('.women-block').removeClass('up-block');
        } else if (st > block_height && st < x) {
          $('.women-block').addClass('block-fix');
          $('.block-fix .head-head, .block-fix .story').css({
            'top': tr_g2 + 'px'
          });
          $('.women-block').css({
            'top': 0
          });
          $('.women-block').removeClass('up-block');
        } else {
          $('.women-block').addClass('up-block');
          $('.women-block').removeClass('block-fix');
          $('.block-fix .head-head, .block-fix .story').css({
            'top': '0px'
          });
          $('.women-block').css({
            'top': y
          });
        }
      });
    } else {
      $('.women-block').css({
        'top': height_screen - women_height
      });
    }

    var str = $(window).scrollTop();
    var story = $('.story');
    var h = str - block_height; // if(h>=0 && str<x){

    if (h >= (main_height - height_screen) * -0.1) {
      story.addClass('story-anim-1');
      addClass('story-anim-1', story[0]);
      addClass('story-anim-2', story[0]);
      addClass('story-anim-3', story[0]);
      addClass('story-anim-4', story[0]);
    } else {
      removeClass('story-anim-1', story[0]);
      removeClass('story-anim-2', story[0]);
      removeClass('story-anim-3', story[0]);
      removeClass('story-anim-4', story[0]);
    }

    if (h >= (main_height - height_screen) * 0.35) {
      addClass('story-anim-5', story[0]);
    } else {
      removeClass('story-anim-5', story[0]);
    }

    /*if (h >= (main_height - height_screen) * 0.11) {
      addClass('story-anim-6', story[0]);
    } else {
      removeClass('story-anim-6', story[0]);
    }*/

    if (h >= (main_height - height_screen) * 0.35) {
      addClass('story-anim-7', story[0]);
      addClass('story-anim-8', story[0]);
      addClass('story-anim-9', story[0]);
    } else {
      removeClass('story-anim-7', story[0]);
      removeClass('story-anim-8', story[0]);
      removeClass('story-anim-9', story[0]);
    }

    /*if (h >= (main_height - height_screen) * 0.25) {
      addClass('story-anim-8', story[0]);
    } else {
      removeClass('story-anim-8', story[0]);
    }

    if (h >= (main_height - height_screen) * 0.35) {
      addClass('story-anim-9', story[0]);
    } else {
      removeClass('story-anim-9', story[0]);
    }*/
    const getlang = document.getElementsByTagName('html')[0].getAttribute('lang');

    console.log(getlang)

    if (getlang && getlang == "es-ES") {
      if (h >= (main_height - height_screen) * 0.55) {
        addClass('story-anim-9', story[0]);
      } else {
        removeClass('story-anim-9', story[0]);
      }
    } else {
      if (h >= (main_height - height_screen) * 0.55) {
        addClass('story-anim-10', story[0]);
      } else {
        removeClass('story-anim-10', story[0]);
      }
    }





    $(window).scroll(function () {
      var str = $(this).scrollTop();
      var h = str - block_height;

      if (h >= (main_height - height_screen) * -0.1) {
        story.addClass('story-anim-1');
        addClass('story-anim-1', story[0]);
        addClass('story-anim-2', story[0]);
        addClass('story-anim-3', story[0]);
        addClass('story-anim-4', story[0]);
      } else {
        removeClass('story-anim-1', story[0]);
        removeClass('story-anim-2', story[0]);
        removeClass('story-anim-3', story[0]);
        removeClass('story-anim-4', story[0]);
      }

      if (h >= (main_height - height_screen) * 0.35) {
        addClass('story-anim-5', story[0]);
      } else {
        removeClass('story-anim-5', story[0]);
      }

     /* if (h >= (main_height - height_screen) * 0.12) {
        addClass('story-anim-6', story[0]);
      } else {
        removeClass('story-anim-6', story[0]);
      }*/

      if (h >= (main_height - height_screen) * 0.35) {
        addClass('story-anim-7', story[0]);
        addClass('story-anim-8', story[0]);
        addClass('story-anim-9', story[0]);
      } else {
        removeClass('story-anim-7', story[0]);
        removeClass('story-anim-8', story[0]);
        removeClass('story-anim-9', story[0]);
      }

     /* if (h >= (main_height - height_screen) * 0.25) {
        addClass('story-anim-8', story[0]);
      } else {
        removeClass('story-anim-8', story[0]);
      }

      if (h >= (main_height - height_screen) * 0.35) {
        addClass('story-anim-9', story[0]);
      } else {
        removeClass('story-anim-9', story[0]);
      }*/

      if (getlang && getlang == "es-ES") {
        if (h >= (main_height - height_screen) * 0.55) {
          addClass('story-anim-9', story[0]);
        } else {
          removeClass('story-anim-9', story[0]);
        }
      } else {
        if (h >= (main_height - height_screen) * 0.55) {
          addClass('story-anim-10', story[0]);
        } else {
          removeClass('story-anim-10', story[0]);
        }
      }



    });
  }

  $(".dropdown-btn").on("click", function (event) {
    if (window.matchMedia("(max-width: 1260px)").matches) {
      if ($('.dropdown-list').hasClass('open-dropdown')) {
        $('.dropdown-list').removeClass('open-dropdown');
      } else {
        $('.dropdown-list').addClass('open-dropdown');
      }
    }
  });
  $('.video-item').click(function () {
    var ths = $(this).find('.play');
    var vid = $(this).find('.vid');

    if (ths.hasClass('visib')) {
      vid.trigger('pause');
      ths.removeClass('visib');
    } else {
      vid.trigger('play');
      ths.addClass('visib');
    }
  });
  $(document).ready(function () {
    $('.faq-text').slideUp();
  });



  $(document).on('click', '.panel-btn', function (e) {
    if (($(e.target).closest('.i-icon').length > 0 || $(e.target).hasClass('.i-icon')) && window.matchMedia("(max-width: 1024px)").matches) {
    } else {
      var ths = $(this).find('.faq-text');
      var a = $(this).find('.panel');
      if (a.hasClass('hide')) {
        ths.slideUp();
        a.removeClass('hide');
      } else {
        $('.panel-btn .faq-text').slideUp();
        $('.panel-btn .panel').removeClass('hide');
        a.addClass('hide');
        ths.slideDown();
      }
    }
  });

  //Open tab based on hash
  const tabs = document.querySelectorAll('.panel-btn');
  const whereToBuy = document.querySelector('.where-to-buy-content');
  if ( whereToBuy) {
    var i;
    for (i = 0; i < tabs.length; i++) {
      const hash = window.location.hash.replace('#','');
      if (hash) {
        const tabButton = tabs[i].getAttribute('data-panelid');
          if (hash === tabButton) {
            tabs[i].firstElementChild.classList.add('hide');
           const lastEl = tabs[i].querySelector('.faq-text');
            setTimeout(function(){
              lastEl.style.display = 'block';
              var target = $(lastEl);
              $('html, body').animate({
                scrollTop: target.offset().top  - 50
              }, 300);
            }, 500);
            console.log(lastEl);
          }
      }
    }
  }




  var num = 1;
  $(document).on('click', '.button-anlise:not(.s-active)', function () {
    $('.visible-anlise').addClass('hide');
    $('.symps').addClass('show');
  });
  $(document).on('click', '.symp-btn', function () {
    var th = $(this);
    $('.symp-btn').removeClass('s-active');
    th.addClass('s-active');
    $('.symp-part').removeClass('active');
    $('.symp-part[data-id="' + th.attr('data-id') + '"]').addClass('active');
    $('.women-bg').addClass('hidden');

    if (window.matchMedia('(max-width: 760px)').matches) {
      console.log('scroll to');
      $('html, body').animate({
        scrollTop:  $('.symp-part[data-id="' + th.attr('data-id') + '"]').offset().top
      }, 500);

    }

  });
  $(document).on('click', '.invisible-btn:not(.selected)', function () {

    var ths = $(this);
    var par = ths.closest('.invisible-right-item');

    //$('.invisible-answer-description').addClass('active');

    if (par.find('.right-answer').length > 1) {
      ths.addClass('selected check-on-hold'); //check-on-hold additional klass
      //par.find('.blue-btn-empty').addClass('ready'); // par.find('.not-right').removeClass('not-right');
      par.find('.blue-btn-empty.check ').addClass('ready');
    } else {
      par.find('.selected').removeClass('selected');
      ths.addClass('selected check-on-hold'); //check-on-hold additional klass
      //par.find('.blue-btn-empty').addClass('ready');
      par.find('.blue-btn-empty.check ').addClass('ready');
      par.find('.not-right').removeClass('not-right');
    }

    if (ths.hasClass('right-answer')) {
      ths.addClass('not-right');
    }
  });

  $(document).on('click', '.invisible-btn.selected', function () {
    var ths = $(this);
    var par = ths.closest('.invisible-right-item');

    if (par.find('.right-answer').length > 1) {
      ths.removeClass('selected');
      ths.removeClass('not-right');

      if (!par.find('.invisible-btn').hasClass('selected')) {
        par.find('.blue-btn-empty.check').removeClass('ready');
      }
    }
  });
  var block_super = 0;


  $(document).on('click', '.blue-btn-empty.further.ready', function () {
    $('.invisible-answer-description').removeClass('active');
    $('.blue-btn-empty.check').removeClass('hide-it');
    $('.blue-btn-empty.check').removeClass('ready');
    $('.blue-btn-empty.further').addClass('hide-it');
    $('.blue-btn-empty.further').removeClass('ready');

    var ths = $(this);
    var par = ths.closest('.invisible-right-item');

    if (block_super === 0) {
      block_super = 1;
      var next = Number(par.attr('data-test-quest')) + 1;
      var id = par.attr('data-test-id');
      par.find('.right-answer').addClass('not-right');

      if ($('.invisible-right-item[data-test-quest="' + next + '"][data-test-id="' + id + '"]').length > 0) {
        setTimeout(function () {
          $('.invisible-new-test').addClass('change-slide');
          setTimeout(function () {
            $('.invisible-right-item,.invisible-area img').removeClass('active');
            $('.invisible-area img[data-test-quest="' + next + '"][data-test-id="' + id + '"]').addClass('active');
            $('.invisible-right-item[data-test-quest="' + next + '"][data-test-id="' + id + '"]').addClass('active');
            $('.invisible-test-item-info[data-test-id="' + id + '"]').find('.progress-item').eq(next - 2).addClass('ready');


            setTimeout(function () {
              $('.invisible-new-test').removeClass('change-slide');
              block_super = 0;
            }, 50);
          }, 500);
        }, 1000);
      } else {
        var next2 = 'success';
        var count_ansvers = 0;
        $('.invisible-right-item[data-test-id="' + id + '"]').each(function () {
          var ths2 = $(this);

          if (ths2.attr('data-test-quest') !== 'success' && ths2.attr('data-test-quest') !== 'failure' && ths2.attr('data-test-quest') !== 'success-middle') {
            if (ths2.find('.right-answer').length > 1) {
              if (ths2.find('.right-answer.selected').length === ths2.find('.right-answer').length) {
                count_ansvers++;
              }
            } else if (ths2.find('.right-answer.selected').length > 0) {
              count_ansvers++;
            }
          }
        });

        console.log(count_ansvers);

        /*if (count_ansvers < Math.ceil(($('.invisible-right-item[data-test-id="' + id + '"] .selected').length / 2) + 1)) {
          next2 = 'success-middle';
        }*/

        /*if (count_ansvers < Math.ceil($('.invisible-right-item[data-test-id="' + id + '"] .selected').length / 2)) {
          next2 = 'failure';
        }*/

        if (count_ansvers < 2) {
          next2 = 'failure';
        } else if (count_ansvers > 3) {
          next2 = 'success';
        } else {
            next2 = 'success-middle';
        }


        console.log("Answers: " + count_ansvers)


        setTimeout(function () {
          $('.invisible-new-test').addClass('change-slide');
          $('.invisible-new-test').addClass('hide-one');
          setTimeout(function () {
            $('.invisible-area').addClass('hide-block');
            $('.invisible-right-item,.invisible-area img').removeClass('active');
            $('.invisible-right-item[data-test-quest="' + next2 + '"][data-test-id="' + id + '"]').addClass('active');
            $('.invisible-test-item-info[data-test-id="' + id + '"]').find('.progress-item').eq(next - 2).addClass('ready');
            $('.invisible-right-item[data-test-quest="' + next2 + '"][data-test-id="' + id + '"] .invisible-count').text(' ' + count_ansvers + ' ');
            setTimeout(function () {
              $('.invisible-new-test').removeClass('change-slide');
              block_super = 0;
            }, 50);
          }, 500);
        }, 1000); //экран конца
        console.log(next2);
      }
    }
  });
  //Check it button
  $(document).on('click', '.blue-btn-empty.check.ready', function () {
    $('.invisible-answer-description').addClass('active');
    $('.blue-btn-empty.check').addClass('hide-it');
    $('.blue-btn-empty.further').removeClass('hide-it');
    $('.blue-btn-empty.further').addClass('ready');
    $('.invisible-btn').removeClass('check-on-hold');

    var ths = $(this);
    var par = ths.closest('.invisible-right-item');

    if (block_super === 0) {
      par.find('.right-answer').addClass('not-right');
    }

  });


  $(document).on('click', '.progress-btn,.restart', function () {
    var ths = $(this);
    var id = ths.closest('.invisible-test-item-info').attr('data-test-id');

    if (ths.hasClass('restart')) {
      id = ths.closest('.invisible-right-item').attr('data-test-id');
    }

    $('.invisible-area').removeClass('hide-block');
    $('.invisible-new-test').removeClass('hide-one show-right');
    $('.invisible-new-test').addClass('change-slide');
    setTimeout(function () {
      $('.invisible-right-item[data-test-id="' + id + '"]').removeClass('active');
      $('.invisible-right-item[data-test-id="' + id + '"]').eq(0).addClass('active');
      $('.progress-item,.blue-btn-empty').removeClass('ready');
      $('.invisible-btn').removeClass('selected not-right');
      $('.invisible-area img').removeClass('active');
      $('.invisible-area img[data-test-id="' + id + '"]').eq(0).addClass('active');
      setTimeout(function () {
        $('.invisible-new-test').removeClass('change-slide');
      }, 50);
    }, 500);
  });
  $(document).on('click', '.invisible-test-item:not(.active)', function () {
    var ths = $(this);
    var id = ths.attr('data-test-id');
    $('.invisible-new-test').addClass('change-super-hide');
    $('.invisible-area').removeClass('hide-block');
    setTimeout(function () {
      $('.invisible-right-item').removeClass('active');
      $('.progress-item,.blue-btn-empty').removeClass('ready');
      $('.invisible-btn').removeClass('selected not-right');
      $('.invisible-area img').removeClass('active');
      $('.invisible-test-item').removeClass('active');
      $('.invisible-test-item-info').removeClass('active');
      ths.addClass('active');
      $('.invisible-test-item-info[data-test-id="' + id + '"]').addClass('active');
      $('.invisible-right-item[data-test-id="' + id + '"]').eq(0).addClass('active');
      $('.invisible-area img[data-test-id="' + id + '"]').eq(0).addClass('active');
      setTimeout(function () {
        $('.invisible-new-test').removeClass('change-super-hide');
      }, 50);
    }, 500);
  });
  $('.button-supertest').click(function () {
    $('.visible-new-test').addClass('show-anim');
    $('.invisible-new-test').addClass('show');
    setTimeout(function () {
      $('.invisible-new-test').addClass('show-anim');
    }, 50);
    setTimeout(function () {
      $('.visible-new-test').removeClass('show');
    }, 600);
  });
  $('.cookie-btn').click(function () {
    var ths = $(this);
    $('.cookie').remove();
  });
  $('.bnt-top').click(function () {
    var ths = $(this);
    $('html,body').animate({
      scrollTop: 0
    }, 'slow');
  });
  $('.other-menu div').click(function () {
    var ths = $(this);
    var sd = ths.closest('li').find('.menu-head');

    if (ths.closest('li').hasClass('close')) {
      sd.slideUp();
    } else {
      sd.slideDown();
    }
  });
  $('.story-text-2-content').click(function () {
    var ths = $(this);

    if (window.matchMedia("(max-width: 760px)").matches) {
      var t = $('.story-text-mobile [data-text="' + ths.attr('data-text') + '"]');

      if (t.hasClass('modal-story')) {
        $('html').removeClass('no-scroll');
        t.removeClass('modal-story');
        $('.story-text-mobile').removeClass('show-story');
      } else {
        $('html').addClass('no-scroll');
        t.addClass('modal-story');
        $('.story-text-mobile').addClass('show-story');
      }
    }
  });
  $('.story-text-2-content-h-2 .blue-btn, .story-text-2-content-h').click(function (e) {
    var ths = $(this);

    if (ths.hasClass('blue-btn') || $(e.target).hasClass('modal-story')) {
      $('html').removeClass('no-scroll');
      $('.modal-story').removeClass('modal-story');
      $('.story-text-mobile').removeClass('show-story');
    }
  });
  $('.select-field-header').click(function () {
    var ths = $(this);
    var par = ths.closest('.select-field');
    var ch = par.find('.select-block');

    if (par.hasClass('active')) {
      par.removeClass('active');
      // ch.slideUp();
    } else {
      par.addClass('active');
      // ch.slideDown();
    }
  });
  $('.select-item').click(function () {
    var ths = $(this);
    var par = ths.closest('.select-field');
    var ch = par.find('.select-block');

    if (ths.closest('.symp-ins').length > 0) {
      if (!ths.hasClass('act')) {
        par.find('.act').removeClass('act');
        ths.addClass('act');
        par.addClass('btn-show');
      }
    } else { }
  });
  $('.select-btn').click(function () {
    var ths = $(this);
    var par = ths.closest('.select-field');
    var ch = par.find('.select-block');
    par.removeClass('btn-show');
    par.find('.select-default').text(par.find('.act .select-item-text').text());
    // ch.slideUp();
    $('.symp-part').removeClass('active');
    $('.symp-part[data-id="' + par.find('.act').attr('data-id') + '"]').addClass('active');
  });
  $('.btn-start-test').click(function () {
    var ths = $(this);
    $('.invisible-new-test').addClass('show-right');
  });
  $('.products').click(function () {
    var ths = $(this);

    if (ths.hasClass('active')) { } else {
      $('.products').removeClass('active');
      ths.addClass('active');
    }
  });
  $('.share-this').click(function (e) {
    e.preventDefault();
    var ths = $(this);
    ths.find('input').select();
    document.execCommand('copy');
  });

  if ($('.share-this').length > 0) {
    $('.share-this')[0].addEventListener('copy', function (e) {
      e.preventDefault();
      var ths = $(this);

      if (e.clipboardData) {
        e.clipboardData.setData('text/plain', ths.find('input').val());
      } else if (window.clipboardData) {
        window.clipboardData.setData('Text', ths.find('input').val());
      }
    });
  }

  function nav() {
    if ($('.page-nav').length > 0) {
      $('.page-nav li').remove();
      $('.page-text-article-name > h2,' + '.page-text-article-name > div > h2,' + '.page-text-article-name > h3,' + '.page-text-article-name > div:not(.interesting-fact-block) > h3,' + '.page-text-article-name > h4,' + '.page-text-article-name > div > h4,' + '.page-text-article-name > h5,' + '.page-text-article-name > div > h5,' + '.page-text-article-name > h6,' + '.page-text-article-name > div > h6').each(function () {
        var ths = $(this);
        var par = $('.page-nav ul');
        var t = ths.offset().top - 100;
        par.append('<li data-scroll="' + t + '"><a href="#">' + ths.text() + '</a></li>');

        if ($('.ankers').length > 0) {
          $('.ankers').append('<li data-scroll="' + t + '"><a href="#">' + ths.text() + '</a></li>');
        }
      });
    }
  }

  nav();
  $(document).resize(function () {
    nav();
  });
  $(document).on('click', '.page-nav li,.ankers li', function (e) {
    e.preventDefault();
    var ths = $(this);
    $("html, body").animate({
      scrollTop: ths.attr('data-scroll')
    }, 1000);
  });



  // if ($('.youtube').length > 0) {
  //    var onYouTubeIframeAPIReady = function onYouTubeIframeAPIReady() {
  //      $('.video-block').each(function () {
  //        var ths = $(this);
  //        var id = ths.find('.youtube').attr('data-youtube');
  //        var player = new YT.Player(ths.find('.youtube').get(0), {
  //          videoId: id.trim(),
  //          events: {
  //            'onReady': onPlayerReady,
  //            'onStateChange': onPlayerStateChange
  //          }
  //        });
  //
  //        function onPlayerReady(evt) {}
  //
  //        function onPlayerStateChange(event) {
  //          if (event.data == YT.PlayerState.PAUSED) {
  //            ths.removeClass('play-youtube');
  //          }
  //        }
  //
  //        ths.click(function () {
  //          ths.addClass('play-youtube');
  //          player.playVideo();
  //        });
  //      });
  //    };
  //
  //    var tag = document.createElement('script');
  //    tag.src = "https://www.youtube.com/iframe_api";
  //    var firstScriptTag = document.getElementsByTagName('script')[0];
  //    firstScriptTag.parentNode.insertBefore(tag, firstScriptTag);
  //  }

  var woman = false;
  var stor = false;
  var choose = false;
  var suptest = false;
  var videos = false;
  var faq = false;
  var analist = false;
  var mixib = false;

  var woman2 = false;
  var stor2 = false;
  var choose2 = false;
  var suptest2 = false;
  var videos2 = false;
  var faq2 = false;
  var analist2 = false;
  var mixib2 = false;

  var woman3 = false;
  var stor3 = false;
  var choose3 = false;
  var suptest3 = false;
  var videos3 = false;
  var faq3 = false;
  var analist3 = false;
  var mixib3 = false;

  var window_height2 = document.documentElement.clientHeight / 2.5;

  if ($('.head-head').length > 0) {
    woman = 0;
    woman2 = woman + $('.head-head').outerHeight();
    woman3 = dot($('.head-head'), 'head-head');
  }

  if ($('.story').length > 0) {
    stor = $('.main-main').offset().top + $('.head-head').height();
    stor2 = stor + $('.story').outerHeight();
    stor3 = dot($('.story'), 'story');
  }

  if ($('.choose-bg').length > 0) {
    choose = $('.choose-bg').offset().top;
    choose2 = choose + $('.choose-bg').outerHeight();
    choose3 = dot($('.choose-bg'), 'choose-bg');
  }
  if ($('.super-test').length > 0) {
    suptest = $('.super-test').offset().top;
    suptest2 = suptest + $('.super-test').outerHeight();
    suptest3 = dot($('.super-test'), 'super-test');
  }
  if ($('.videos').length > 0) {
    videos = $('.videos').offset().top;
    videos2 = videos + $('.videos').outerHeight();
    videos3 = dot($('.videos'), 'videos');
  }
  if ($('.faq').length > 0) {
    faq = $('.faq').offset().top;
    faq2 = faq + $('.faq').outerHeight();
    faq3 = dot($('.faq'), 'faq');
  }
  if ($('.analise').length > 0) {
    analist = $('.analise').offset().top;
    analist2 = analist + $('.analise').outerHeight();
    analist3 = dot($('.analise'), 'analise');
  }
  if ($('.mixin-interesting-block').length > 0) {
    mixib = $('.mixin-interesting-block').offset().top;
    mixib2 = mixib + $('.mixin-interesting-block').outerHeight();
    mixib3 = dot($('.mixin-interesting-block'), 'mixin-interesting-block');
  }


  function dot(param, cls) {
    var per = param.offset().top;
    if (cls === 'head-head') {
      per = 0;
    } else if (cls === 'story') {
      per = per + $('.head-head').height();
    }

    $(".dots").append("<div class='dot' data-scroll='" + per + "' data-class='" + cls + "'></div>");
    return $(".dot:last-child");
  }
  setInterval(function () {
    $('.dot').each(function () {
      ths = $(this);
      var scrl = ths.attr('data-scroll');
      var clss = ths.attr('data-class');

      if (clss === 'head-head') {
        ths.attr('data-scroll', $('.main-main').offset().top);
      }
      else if (clss === 'story') {
        ths.attr('data-scroll', $('.main-main').offset().top + $('.head-head').height());
      }
      else if (clss === 'choose-bg') {
        ths.attr('data-scroll', $('.choose-bg').offset().top);
      }
      else if (clss === 'super-test') {
        ths.attr('data-scroll', $('.super-test').offset().top);
      }
      else if (clss === 'videos') {
        ths.attr('data-scroll', $('.videos').offset().top);
      }
      else if (clss === 'faq') {
        ths.attr('data-scroll', $('.faq').offset().top);
      }
      else if (clss === 'analise') {
        ths.attr('data-scroll', $('.analise').offset().top);
      }
      else if (clss === 'mixin-interesting-block') {
        ths.attr('data-scroll', $('.mixin-interesting-block').offset().top);
      }
    });
  }, 1500);


  if ($('.main-main').length > 0) {
    var str2 = $(window).scrollTop() + window_height2;
    if (woman !== false) {
      if (str2 >= woman && str2 <= woman2) {
        $(".dot").removeClass('red');
        woman3.addClass('red');
      }
    }
    if (stor !== false) {
      if (str2 >= stor && str2 <= stor2) {
        $(".dot").removeClass('red');
        stor3.addClass('red');
      }
    }
    if (choose !== false) {
      if (str2 >= choose && str2 <= choose2) {
        $(".dot").removeClass('red');
        choose3.addClass('red');
      }
    }
    if (suptest !== false) {
      if (str2 >= suptest && str2 <= suptest2) {
        $(".dot").removeClass('red');
        suptest3.addClass('red');
      }
    }
    if (videos !== false) {
      if (str2 >= videos && str2 <= videos2) {
        $(".dot").removeClass('red');
        videos3.addClass('red');
      }
    }
    if (faq !== false) {
      if (str2 >= faq && str2 <= faq2) {
        $(".dot").removeClass('red');
        faq3.addClass('red');
      }
    }
    if (analist !== false) {
      if (str2 >= analist && str2 <= analist2) {
        $(".dot").removeClass('red');
        analist3.addClass('red');
      }
    }
    if (mixib !== false) {
      if (str2 >= mixib && str2 <= mixib2) {
        $(".dot").removeClass('red');
        mixib3.addClass('red');
      }
    }
  }

  if ($('.main-main').length > 0) {
    $(window).scroll(function () {
      var st = $(this).scrollTop() + window_height2;

      if (woman !== false) {
        if (st >= woman && st <= woman2) {
          $(".dot").removeClass('red');
          woman3.addClass('red');
        }
      }
      if (stor !== false) {
        if (st >= stor && st <= stor2) {
          $(".dot").removeClass('red');
          stor3.addClass('red');
        }
      }
      if (choose !== false) {
        if (st >= choose && st <= choose2) {
          $(".dot").removeClass('red');
          choose3.addClass('red');
        }
      }
      if (suptest !== false) {
        if (st >= suptest && st <= suptest2) {
          $(".dot").removeClass('red');
          suptest3.addClass('red');
        }
      }
      if (videos !== false) {
        if (st >= videos && st <= videos2) {
          $(".dot").removeClass('red');
          videos3.addClass('red');
        }
      }
      if (faq !== false) {
        if (st >= faq && st <= faq2) {
          $(".dot").removeClass('red');
          faq3.addClass('red');
        }
      }
      if (analist !== false) {
        if (st >= analist && st <= analist2) {
          $(".dot").removeClass('red');
          analist3.addClass('red');
        }
      }
      if (mixib !== false) {
        if (st >= mixib && st <= mixib2) {
          $(".dot").removeClass('red');
          mixib3.addClass('red');
        }
      }
    });
  }
  setTimeout(function () {
    if (window.matchMedia("(min-width: 1260px)").matches) {
      $(document).on('click', '.dots .dot', function () {
        var ths = $(this);
        var a = 0;
        if (ths.attr('data-class') === 'head-head') {
          a = 20;
        }
        else if (ths.attr('data-class') === 'story') {
          a = 100;
        }
        else if (ths.attr('data-class') === 'choose-bg') {
          a = 0;
        }
        else if (ths.attr('data-class') === 'super-test') {
          a = 200;
        }
        else if (ths.attr('data-class') === 'videos') {
          a = 0;
        }
        else if (ths.attr('data-class') === 'faq') {
          a = 120;
        }
        else if (ths.attr('data-class') === 'analise') {
          a = 200;
        }
        else if (ths.attr('data-class') === 'mixin-interesting-block') {
          a = 0;
        }
        $("html, body").animate({
          scrollTop: ths.attr('data-scroll') - a
        }, 1000);
      });
    }
  }, 1000);
  /*---*/

  function popup_offset(popup, offs, ths) {
    if (popup.length === 0) {
      ths.removeClass('i-icon');
    } else {
      var t = offs.top - popup.innerHeight() - 17;
      var l = offs.left + ths.width() / 2 - 6;
      if ((l !== popup.offset().left && popup.offset().left !== 0) || (t !== popup.offset().top && popup.offset().top !== 0)) {
        if (l + popup.innerWidth() > document.body.clientWidth) {
          popup.addClass('ii-pos');
          l = l - popup.innerWidth() + 13;
          l = l + 24;
        } else {
          l = l - 24;
          popup.removeClass('ii-pos');
        }
        if (l < 0) {
          l = (document.body.clientWidth - popup.innerWidth()) / 2
          popup.find('.ii-tringle').remove();
        }

        if (t - popup.innerHeight() - $(window).scrollTop() < 0) {
          popup.addClass('ii-pos-2');
          t = t + popup.innerHeight() + 28;
          t = t + 24;
          console.log(t + popup);
        } else {
          popup.removeClass('ii-pos-2');
        }
        popup.offset({ top: t, left: l });
      }
    }
  }

  if (window.matchMedia("(min-width: 1024px)").matches) {

    $(document).on('mouseleave', '.i-icon, .ii-popup', function (e) {
      var ths = $(this);
      if (e.toElement === undefined) {
        if ($(e.relatedTarget).closest('.ii-popup, .i-icon').length === 0) {
          var atr = ths.attr('data-id-icon');
          $('[data-id-icon="' + atr + '"]').removeClass('active active2');
        }
      } else {
        if ($(e.toElement).closest('.ii-popup, .i-icon').length === 0) {
          var atr = ths.attr('data-id-icon');
          $('[data-id-icon="' + atr + '"]').removeClass('active active2');
        }
      }

    });

    $(document).on('mouseover', '.i-icon', function () {
      var ths = $(this);

      var par = ths.closest('.i-icon');
      var atr = ths.attr('data-id-icon');
      ths.addClass('active');
      $('.ii-popup:not([data-id-icon="' + atr + '"])').removeClass('active');
      $('.ii-popup[data-id-icon="' + atr + '"]').addClass('active');

      setTimeout(function () {
        var text = $('.ii-popup[data-id-icon="' + atr + '"]').find('.ii-popup-text');
        popup_offset($('.ii-popup[data-id-icon="' + atr + '"]'), ths.offset(), ths);
        setTimeout(function () {
          if (text.get(0).scrollHeight > text.get(0).clientHeight) {
            $('.ii-popup[data-id-icon="' + atr + '"]').addClass('ii-canScroll');
          }
        }, 20);

        setTimeout(function () {
          $('.ii-popup[data-id-icon="' + atr + '"]').addClass('active2');
        }, 70);
      }, 50);

    });


  } else {

    $(document).on('click', '.ii-close', function () {
      var ths = $(this);
      var atr = ths.closest('.ii-popup').attr('data-id-icon');
      $('[data-id-icon="' + atr + '"]').removeClass('active');
    });

    $(document).on('click', ".i-icon", function (e) {
      var ths = $(this);
      e.preventDefault();
      var atr = ths.attr('data-id-icon');

      if (ths.hasClass('active')) {
        $('[data-id-icon="' + atr + '"]').removeClass('active');
      } else {
        $('.ii-popup:not([data-id-icon="' + atr + '"]),.i-icon:not([data-id-icon="' + atr + '"])').removeClass('active');
        setTimeout(function () {
          popup_offset($('.ii-popup[data-id-icon="' + atr + '"]'), ths.offset(), ths);
        }, 50);
        setTimeout(function () {
          $('.ii-popup[data-id-icon="' + atr + '"]').addClass('active2');
        }, 100);
        $('[data-id-icon="' + atr + '"]').addClass('active');
        var text = $('[data-id-icon="' + atr + '"]').find('.ii-popup-text');
        if (text.get(0).scrollHeight > text.get(0).clientHeight) {
          $('[data-id-icon="' + atr + '"]').addClass('ii-canScroll');
        }
      }
    });

    $(document).click(function (e) {

      if ($(e.target).closest('.i-icon,.ii-popup').length === 0) {
        $('[data-id-icon]').removeClass('active active2');
      }

    });

  }

  function startPopup() {
    $('.i-icon').each(function () {
      var ths = $(this);
      var atr = ths.attr('data-id-icon');
      var offs = ths.offset();
      var popup = $('.ii-popup[data-id-icon="' + atr + '"]');
      popup_offset(popup, offs, ths);
    });
  }
  startPopup();
  $(window).resize(function () {
    startPopup();
  });

  $("body").children().each(function () {
    var ths_child = $(this);
    const regex = /#[0-9]{1,4}#/g;
    var str = ths_child.html();
    var m;
    while ((m = regex.exec(str)) !== null) {
      if (m.index === regex.lastIndex) {
        regex.lastIndex++;
      }
      m.forEach((match, groupIndex) => {
        var t = match.split('#').join('');
        var g = $(this).find(':contains(' + match + ')').last();
        g.html(g.html().replace(/#[0-9]{1,4}#/, "<span class='i-icon' data-id-icon='" + t + "'><span class='i-icon-click'></span><span class='ii-block'><span class='ii-block-svg'><svg width='3' height='8' viewBox='0 0 16 39' fill='none' xmlns='http://www.w3.org/2000/svg'><path fill-rule='evenodd' clip-rule='evenodd' d='M12.9621 5.55134C12.9621 8.37107 10.6679 10.6652 7.84822 10.6652C5.02849 10.6652 2.73438 8.37107 2.73438 5.55134C2.73438 2.73161 5.02849 0.4375 7.84822 0.4375C10.6679 0.4375 12.9621 2.73161 12.9621 5.55134ZM12.9583 33.6719H14.194C14.9221 33.6719 15.5106 34.2235 15.5099 34.903V37.3258C15.5099 38.0054 14.9201 38.5569 14.1933 38.5569H2.1916C1.46484 38.5569 0.875 38.0054 0.875 37.3258V34.903C0.875 34.2235 1.46484 33.6719 2.1916 33.6719H3.37036V19.5H2.206C1.47924 19.5 0.889402 18.9485 0.889402 18.2689V16.9186C0.889402 16.239 1.47924 15.6875 2.206 15.6875H11.6417C12.3685 15.6875 12.9583 16.239 12.9583 16.9186V33.6719Z' fill='white'></path></svg></span></span></span>"));
      });
    }
  });
  // $('img').each(function(){
  //     var ths=$(this);
  //     var atr=ths.attr('src');
  //     if($('.ii-popup[data-id-icon="'+atr+'"]').length>0){
  //       ths.addClass('i-icon');
  //       ths.attr('data-id-icon',atr);
  //     }
  // });
  $('.ii-popup').each(function () {
    var ths = $(this);
    var atr = ths.attr('data-id-icon');
    if ($('img[src*="' + atr + '"]').length > 0 && atr.length > 4) {
      $('img[src*="' + atr + '"]').addClass('i-icon');
      $('img[src*="' + atr + '"]').attr('data-id-icon', atr);
    }
  });

  $(window).scroll(function () {
    var st = $(this).scrollTop();

    if (st < $('.main-main').height()) {
      $('[data-id-icon]').removeClass('active');
    }

  });



  /* Cookies */
  //import * as Cookies from "js-cookie";
  window.Cookies = Cookies;

  //const cookiieContainer = document.querySelector('.ncookie');
  const cookiieContainer = document.getElementById('modalCookies');

  // Is the element present on the current page
  if (cookiieContainer) {

    //Set domain
    const domain = '/';

    const cookieName = 'cookieu20_st'
    const cookieAnalitic = 'cookieu20_an'
    const cookieSocial = 'cookieu20_sn';
    const cookieAds = 'cookieu20_op';

   // const acceptButton = document.getElementById('cookie-accept');
    const acceptButton = document.querySelector('.btn-success');
    const acceptButtonAll = document.getElementById('cookie-accept-all');
    const expandButton = document.getElementById('cookie-expand');
    const checkboxes = document.querySelector('.ncookie__checkboxes');
    const btnIcon = document.querySelector('.ncookie__btn-icon');
    const cookieOpenBut = document.getElementById('popupcookies');
    var expanded = false;

    /** Check for stored cookies */
    //cookieValueCheck();

    // if we dont have the cookie, show it
    if (!Cookies.get(cookieName)) {
      cookiieContainer.classList.add('show');
    } else {
      cookiieContainer.classList.remove('show');
    }

    // on close store the cookie and hide it
    acceptButton.addEventListener('click', (e) => {
      e.preventDefault();
      //cookieValue();
      Cookies.set(cookieName, 1, {path: '/', expires: 365/2 });

      if (cookiieContainer.classList.contains('show')) {
        cookiieContainer.classList.remove('show');
      }

      //Reload page after accept cookies
      location.reload();

    });

    /*expandButton.addEventListener('click', () => {
      expanded = !expanded;
      checkboxes.classList.toggle('ncookie__checkboxes--hidden');
      btnIcon.classList.toggle('ncookie__btn-icon--transformed');
    });*/

    //Accept all cookies
   /* acceptButtonAll.addEventListener('click', () => {
      Cookies.set(cookieName, 1, {path: '/', expires: 365/2 });
      Cookies.set(cookieAnalitic, 1, {path: '/', expires: 365/2 });
      Cookies.set(cookieSocial, 1, {path: '/', expires: 365/2 });
      Cookies.set(cookieAds, 1, {path: '/', expires: 365/2 });
      if (cookiieContainer.classList.contains('show')) {
        cookiieContainer.classList.remove('show');
      }
      //Reload page after accept cookies
      location.reload();
    });*/


    //Force open link in new window on popup cookies
    $('.ncookie__checkbox-body a, .ncookie__container a').click(function(e) {
      var href = $(this).attr('href');
      var link = $('<a href="' + href + '" />');
      link.attr('target', '_blank');
      window.open(link.attr('href'));
    });

    //Open popup cookies on click
    if (cookieOpenBut) {
      cookieOpenBut.addEventListener('click', (e) => {
        e.preventDefault();
        cookiieContainer.classList.add('show');
      });
    }

   //Open popup cookies on click from external api
    var link = document.querySelectorAll("a");
    for (let i = 0; i < link.length; i++) {
      link[i].addEventListener('click', (e) => {
        if (link[i].getAttribute('href').indexOf("cookie-man") > -1) {
          e.preventDefault();
          cookiieContainer.classList.add('show');
        }
      });
    }

    //Scroll to the cookies from api
    var apiCookie = document.querySelector(".cookieman-init-hidden-link");
     if (apiCookie) {
       if (window.location.href.indexOf("cookie-man") > -1) {
         var $container = $("html,body");
         var $scrollTo = $('.cookieman-init-hidden-link');
         $container.animate({scrollTop: $scrollTo.offset().top - $container.offset().top + $container.scrollTop(), scrollLeft: 0},300);
     }
   }



    /**
     * We set local storage
     */
    function cookieValue() {
      let analytics = document.getElementById('checkbox-analytics');
      let marketing = document.getElementById('checkbox-marketing');
      const domain = '/';

      if (marketing.checked || !expanded) {
          Cookies.set(cookieSocial, 1, { path: '/', expires: 365 / 2 });
          Cookies.set(cookieAds, 1, { path: '/', expires: 365 / 2 });
        //localStorage.setItem('tracking-marketing', 'true');
      } else {
        Cookies.remove(cookieSocial, {path: '/'});
        Cookies.remove(cookieAds, {path: '/'});
      }
      if (analytics.checked || !expanded) {
          Cookies.set(cookieAnalitic, 1, { path: '/', expires: 365 / 2 });
        //localStorage.setItem('tracking-analytics', 'true');
      } else {
        Cookies.remove(cookieAnalitic, {path: '/'});
      }
    }

    /**
     * Check stored cookies
     */

    function cookieValueCheck() {
      let analytics = document.getElementById('checkbox-analytics');
      let marketing = document.getElementById('checkbox-marketing');
      //Set checked if marketing cookie exist
      if(Cookies.get(cookieSocial) && Cookies.get(cookieAds)) {
        marketing.checked = true;
      }
      //Set checked if analytics cookie exist
      if(Cookies.get(cookieAnalitic)) {
        analytics.checked = true;
      }
    }


  }



  /** Popup where to buy */
  const whereToBuyContainer = document.querySelector('.where-to-buy-popup-automatic');

  // Is the element present on the current page
  if (whereToBuyContainer) {

    const cookieNameWhere = 'accept-cookies-where'
    const acceptButtonWhere = document.querySelectorAll('.close-where');
    const body = document.querySelector('body');

    var expanded = false;

    // if we dont have the cookie and if cookies are accepted, show it
    if (!Cookies.get(cookieNameWhere) && Cookies.get('cookieu20_st')) {
      setTimeout(function(){
        whereToBuyContainer.classList.add('show');
        body.classList.add('overflow-hidden');
      }, 10000);
    } else {
      whereToBuyContainer.classList.remove('show');
      body.classList.remove('overflow-hidden');
    }

    // on close store the cookie and hide it
    for (let i = 0; i < acceptButtonWhere.length; i++) {
      acceptButtonWhere[i].addEventListener('click', () => {
        cookieValue();
        Cookies.set(cookieNameWhere, 'true', { expires: 365 / 2 });

        if (whereToBuyContainer.classList.contains('show')) {
          whereToBuyContainer.classList.remove('show');
          body.classList.remove('overflow-hidden');
        }
      });
    }

  }


  const acceptButtonWhere = document.querySelectorAll('.close-where');
  if (acceptButtonWhere) {
    const whereToBuyContainerButton = document.querySelector('.where-to-buy-popup');
    const body = document.querySelector('body');
    // on close store the cookie and hide it
    for (let i = 0; i < acceptButtonWhere.length; i++) {
      acceptButtonWhere[i].addEventListener('click', () => {
        if (whereToBuyContainerButton.classList.contains('show')) {
          whereToBuyContainerButton.classList.remove('show');
          body.classList.remove('overflow-hidden');
        }
      });
    }
  }


  /* Sources smooth scroll */
  $(".text-link-sources a").click(function(e) {
    var target = $(this.hash);
    target = target.length ? target : $('[name=' + this.hash.slice(1) + ']');
    if (target) {
      e.preventDefault();
      $('html, body').animate({
        scrollTop: target.offset().top  - 50
      }, 500);
    }
  });

  //Open popup on nakup izdelka button
    $(".popup-nakup-open").click(function (e) {
      e.preventDefault();
      $(".where-to-buy-popup").addClass('show')
      $("body").addClass('overflow-hidden');
    });
  $('.popup-nakup-open').on('auxclick', function(e) {
    if (e.which === 2) {
      e.preventDefault();
    }
  });
  //Close popup nakup izdelka
  const whereToBuyPopup = document.querySelector('.where-to-buy-popup');
  if (whereToBuyPopup) {
    for (i = 0; i < tabs.length; i++) {
      tabs[0].firstElementChild.classList.add('hide');
      const lastEl = tabs[0].querySelector('.faq-text');
      setTimeout(function(){
        lastEl.style.display = 'block';
      }, 500);
    }
  }


  //Tooltip
  if (window.matchMedia('(max-width: 992px)').matches) {
    $(".tooltip").click(function(e) {
      $(this).toggleClass('visible')
    });
    //remove visible on scroll
    $(window).scroll(function() {
        $('.tooltip').removeClass('visible')
    });
  } else {
    $(".tooltip").hover(function(e) {
      $(this).toggleClass('visible')
    });
  }


  //Hide cookies if no-cookie-notice in url
  if (window.location.href.indexOf("no-cookie-notice") > -1) {
    $("#modal-cookie-man").hide();
    $("#modal-cookie-man").addClass('hide-cookies');
    console.log('Hide cookies popup')
  }

});
